package com.yunfeiyun.agmp.pts.mapper;

import com.yunfeiyun.agmp.pts.domain.PtsLinkVersion;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-06-01
 */
public interface PtsLinkVersionMapper 
{
    /**
     * 查询版本
     * 
     * @param versionId 版本主键
     * @return 版本
     */
    public PtsLinkVersion selectPtsLinkVersionByVersionId(String versionId);

    /**
     * 查询版本列表
     * 
     * @param ptsLinkVersion 版本
     * @return 版本集合
     */
    public List<PtsLinkVersion> selectPtsLinkVersionList(PtsLinkVersion ptsLinkVersion);
    /**
     * 查询版本
     *
     * @param versionId 版本主键
     * @return 版本
     */
    public PtsLinkVersion selectPtsLinkVersionMaxByVersionId(String versionId);
    /**
     * 新增版本
     * 
     * @param ptsLinkVersion 版本
     * @return 结果
     */
    public int insertPtsLinkVersion(PtsLinkVersion ptsLinkVersion);

    /**
     * 修改版本
     * 
     * @param ptsLinkVersion 版本
     * @return 结果
     */
    public int updatePtsLinkVersion(PtsLinkVersion ptsLinkVersion);

    /**
     * 删除版本
     * 
     * @param versionId 版本主键
     * @return 结果
     */
    public int deletePtsLinkVersionByVersionId(String versionId);

    /**
     * 批量删除版本
     * 
     * @param versionIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePtsLinkVersionByVersionIds(String[] versionIds);
}
